<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ejb3.service.timer-service" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-data-store,default-persistent-timer-management,default-transient-timer-management,thread-pool-name"/>
        <elem name="addr-params" value="profile,subsystem,service"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ejb3.timer-service"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.ejb.timer-management-provider.$default-transient-timer-management" optional="true"/>
        <capability name="$profile.org.wildfly.clustering.ejb.timer-management-provider.$default-persistent-timer-management" optional="true"/>
        <capability name="$profile.org.wildfly.ejb3.timer-service.timer-persistence-service.$default-data-store" optional="true"/>
        <capability name="$profile.org.wildfly.threads.executor.ejb3.$thread-pool-name" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="default-persistent-timer-management" nillable="true" stability="default"/>
        <param name="default-transient-timer-management" nillable="true" stability="default"/>
        <param name="service" feature-id="true" default="timer-service"/>
        <param name="thread-pool-name" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="default-data-store" nillable="true" stability="default"/>
    </params>
</feature-spec>